No need to set KDEPIM_APPS_LIB_VERSION anymore

kdepim-apps-libs provided KF5KdepimDBusInterfaces in the past, but it
was removed and since 684e1eab kontact
doesn't search for it anymore.
1 job for release/20.08 in 7 minutes and 6 seconds (queued for 51 minutes and 41 seconds)
Status Job ID Name Coverage
  Build
failed #59245
build_clazy_clang_tidy

00:07:06

 
Name Stage Failure
failed
build_clazy_clang_tidy Build
1 error generated.
make[2]: *** [src/CMakeFiles/kcm_kontact.dir/build.make:83: src/CMakeFiles/kcm_kontact.dir/kcm_kontact_autogen/mocs_compilation.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:279: src/CMakeFiles/kcm_kontact.dir/all] Error 2
make: *** [Makefile:161: all] Error 2
Uploading artifacts for failed job
Uploading artifacts...
WARNING: JUnitTestResults.xml: no matching files
ERROR: No files to upload
ERROR: Job failed: exit code 1